Structure.StructureSet (JNA API)

com.sun.jna

## Class Structure.StructureSet

- java.lang.Object
- - java.util.AbstractCollection<Structure>
  - - com.sun.jna.Structure.StructureSet

- All Implemented Interfaces:
    java.lang.Iterable<Structure>, java.util.Collection<Structure>, java.util.Set<Structure>
  Enclosing class:
    Structure

      static class Structure.StructureSet
      extends java.util.AbstractCollection<Structure>
      implements java.util.Set<Structure>

  Avoid using a hash-based implementation since the hash code for a Structure is not immutable.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Structure[]` | `elements`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Structure o)`
    `boolean` | `contains(java.lang.Object o)`
    `Structure[]` | `getElements()`
    `java.util.Iterator<Structure>` | `iterator()` Simple implementation so that toString() doesn't break.
    `boolean` | `remove(java.lang.Object o)`
    `int` | `size()`

    - ### Methods inherited from class java.util.AbstractCollection

      `addAll, clear, containsAll, isEmpty, removeAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `addAll, clear, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Field Detail

    - #### elements

          Structure[] elements

  - ### Constructor Detail

    - #### StructureSet

          StructureSet()

  - ### Method Detail

    - #### getElements

          public Structure[] getElements()

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<Structure>`
      Specified by:
        `size` in interface `java.util.Set<Structure>`
      Specified by:
        `size` in class `java.util.AbstractCollection<Structure>`

    - #### contains

          public boolean contains(java.lang.Object o)

      Specified by:
        `contains` in interface `java.util.Collection<Structure>`
      Specified by:
        `contains` in interface `java.util.Set<Structure>`
      Overrides:
        `contains` in class `java.util.AbstractCollection<Structure>`

    - #### add

          public boolean add(Structure o)

      Specified by:
        `add` in interface `java.util.Collection<Structure>`
      Specified by:
        `add` in interface `java.util.Set<Structure>`
      Overrides:
        `add` in class `java.util.AbstractCollection<Structure>`

    - #### remove

          public boolean remove(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection<Structure>`
      Specified by:
        `remove` in interface `java.util.Set<Structure>`
      Overrides:
        `remove` in class `java.util.AbstractCollection<Structure>`

    - #### iterator

          public java.util.Iterator<Structure> iterator()

      Simple implementation so that toString() doesn't break. Provides an iterator over a snapshot of this Set.
      Specified by:
        `iterator` in interface `java.lang.Iterable<Structure>`
      Specified by:
        `iterator` in interface `java.util.Collection<Structure>`
      Specified by:
        `iterator` in interface `java.util.Set<Structure>`
      Specified by:
        `iterator` in class `java.util.AbstractCollection<Structure>`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.